--- a/arch/arm/boot/dts/kirkwood-pogo_e02.dts
+++ b/arch/arm/boot/dts/kirkwood-pogo_e02.dts
@@ -20,6 +20,13 @@
 	compatible = "cloudengines,pogoe02", "marvell,kirkwood-88f6281",
 		     "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_health;
+		led-failsafe = &led_fault;
+		led-running = &led_health;
+		led-upgrade = &led_fault;
+	};
+
 	memory {
 		device_type = "memory";
 		reg = <0x00000000 0x10000000>;
@@ -33,12 +40,12 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 
-		health {
+		led_health: health {
 			label = "pogo_e02:green:health";
 			gpios = <&gpio1 16 GPIO_ACTIVE_LOW>;
-			default-state = "keep";
+			default-state = "on";
 		};
-		fault {
+		led_fault: fault {
 			label = "pogo_e02:orange:fault";
 			gpios = <&gpio1 17 GPIO_ACTIVE_LOW>;
 		};
@@ -95,24 +102,24 @@
 	status = "okay";
 
 	partition@0 {
-		label = "u-boot";
-		reg = <0x0000000 0x100000>;
+		label = "uboot";
+		reg = <0x0 0xe0000>;
 		read-only;
 	};
 
-	partition@100000 {
-		label = "uImage";
-		reg = <0x0100000 0x400000>;
+	partition@e0000 {
+		label = "uboot_env";
+		reg = <0xe0000 0x20000>;
 	};
 
-	partition@500000 {
-		label = "pogoplug";
-		reg = <0x0500000 0x2000000>;
+	partition@100000 {
+		label = "second_stage_uboot";
+		reg = <0x100000 0x100000>;
 	};
 
-	partition@2500000 {
-		label = "root";
-		reg = <0x02500000 0x5b00000>;
+	partition@200000 {
+		label = "ubi";
+		reg = <0x200000 0x7e00000>;
 	};
 };
 
